System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

You can apply a to a control so that containers, such as Microsoft Visual Studio Form Designer, can retrieve an icon that represents the control. The bitmap for the icon can be in a file by itself or embedded in the assembly that contains the control. The size of the bitmap that you embed in the control's assembly (or store in a separate file) should be 16 by 16. The method of a object can return the small 16 by 16 image or a large 32 by 32 image that it creates by scaling the small image.

If you want to use different versions of your icons with different versions of your assembly, you do not have to modify the for each version. Instead, you can declare the assembly with a or a , and specify a configuration value for each assembly version. In this case, a file name indicated by a is interpreted with the bitmap suffix appended.

Allows you to specify an icon to represent a control in a container, such as the Microsoft Visual Studio Form Designer.

- Constructor
  To be added

  Initializes a new object with an image from a specified file.

  The name of a file that contains a 16 by 16 bitmap.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor searches for an embedded resource in the assembly that defines the type specified by the parameter. The constructor searches for a resource named namespace.classname.bmp, where namespace is the namespace containing the definition of the class specified by the parameter. For example, if ControlA is in NamespaceA in AssemblyA.dll, then the constructor searches AssemblyA.dll for a resource named NamespaceA.ControlA.bmp.

  Initializes a new object based on a 16 x 16 bitmap that is embedded as a resource in a specified assembly.

  A whose defining assembly is searched for the bitmap resource.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor searches for an embedded resource in the assembly that defines the type specified by the parameter. The constructor searches for a resource named namespace.name, where namespace is the namespace containing the definition of the class specified by the parameter. For example, suppose that ControlA is a class in NamespaceA in AssemblyA.dll and that you passed "MyBitmap.bmp" to the parameter. Then the constructor searches AssemblyA.dll for a resource named NamespaceA.MyBitmap.bmp.

  Initializes a new object based on a 16 by 16 bitmap that is embedded as a resource in a specified assembly.

  A whose defining assembly is searched for the bitmap resource.
  The name of the embedded bitmap resource.
  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.ToolboxBitmapAttribute To be added

  A object that has its small image and its large image set to null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the specified object is a object and is identical to this object.

  This method returns true if is both a object and is identical to this object.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets a hash code for this object.

  The hash code for this object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Image ``

  This method searches for a resource named namespace.classname.bmp, where namespace is the namespace containing the definition of the type of the object specified by the parameter. For example, suppose you pass an object of type ControlA to the parameter. If ControlA is in NamespaceA in AssemblyA.dll, then this method searches AssemblyA.dll for a resource named NamespaceA.ControlA.bmp.

  Gets the small associated with this object.

  The small associated with this object.

  If this object does not already have a small image, this method searches for a bitmap resource in the assembly that defines the type of the object specified by the component parameter. For example, if you pass an object of type ControlA to the component parameter, then this method searches the assembly that defines ControlA. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image ``

  This method searches for a resource named namespace.classname.bmp, where namespace is the namespace containing the definition of the type specified by the parameter. For example, suppose you pass typeof(ControlA) to the parameter. If ControlA is in NamespaceA in AssemblyA.dll, then this method searches AssemblyA.dll for a resource named NamespaceA.ControlA.bmp.

  Gets the small associated with this object.

  The small associated with this object.

  If this object does not already have a small image, this method searches for a bitmap resource in the assembly that defines the type specified by the type parameter. For example, if you pass typeof(ControlA) to the type parameter, then this method searches the assembly that defines ControlA. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image `` ``

  This method searches for a resource named namespace.classname.bmp, where namespace is the namespace containing the definition of the type of the object specified by the parameter. For example, suppose you pass an object of type ControlA to the parameter. If ControlA is in NamespaceA in AssemblyA.dll, then this method searches AssemblyA.dll for a resource named NamespaceA.ControlA.bmp.

  If this object does not already have a large image, this method creates a large image by scaling the small image.

  Gets the small or large associated with this object.

  An object associated with this object.

  If this object does not already have a small image, this method searches for a bitmap resource in the assembly that defines the type of the object specified by the component parameter. For example, if you pass an object of type ControlA to the component parameter, then this method searches the assembly that defines ControlA. Specifies whether this method returns a large image (true) or a small image (false). The small image is 16 by 16, and the large image is 32 by 32. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image `` ``

  This method searches for a resource named namespace.classname.bmp, where namespace is the namespace containing the definition of the type specified by the parameter. For example, suppose you pass an typeof(ControlA) to the parameter. If ControlA is in NamespaceA in AssemblyA.dll, then this method searches AssemblyA.dll for a resource named NamespaceA.ControlA.bmp.

  If this object does not already have a large image, this method creates a large image by scaling the small image.

  Gets the small or large associated with this object.

  An associated with this object.

  If this object does not already have a small image, this method searches for a bitmap resource in the assembly that defines the type specified by the component type. For example, if you pass typeof(ControlA) to the type parameter, then this method searches the assembly that defines ControlA. Specifies whether this method returns a large image (true) or a small image (false). The small image is 16 by 16, and the large image is 32 by 32. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image `` `` ``

  This method searches for a resource named namespace.imgName, where namespace is the namespace containing the definition of the type specified by the parameter. For example, suppose you pass typeof(ControlA) to the parameter and that you passed "MyBitmap.bmp" to the imgName parameter. If ControlA is in NamespaceA in AssemblyA.dll, then this method searches AssemblyA.dll for a resource named NamespaceA.MyBitmap.bmp.

  If this object does not already have a large image, this method creates a large image by scaling the small image.

  Gets the small or large associated with this object.

  An associated with this object.

  If this object does not already have a small image, this method searches for an embedded bitmap resource in the assembly that defines the type specified by the component type. For example, if you pass typeof(ControlA) to the type parameter, then this method searches the assembly that defines ControlA. The name of the embedded bitmap resource. Specifies whether this method returns a large image (true) or a small image (false). The small image is 16 by 16, and the large image is 32 by 32. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Image `` `` ``

  This method searches for a resource named namespace.imgName, where namespace is the namespace containing the definition of the type specified by the parameter. For example, suppose you pass typeof(ControlA) to the parameter and you pass "MyBitmap.bmp" to the imgName parameter. If ControlA is in NamespaceA in AssemblyA.dll, then this method searches AssemblyA.dll for a resource named NamespaceA.MyBitmap.bmp.

  This method is intended to retrieve a 16 x 16 bitmap resource that is embedded in an assembly. However, there is no requirement that the embedded bitmap has a size of 16 x 16. The bitmap that is retrieved from the assembly (no matter what size) is considered the small image. The large image is created by scaling the "small" image to a size of 32 x 32. So the large image will always be 32 by 32, regardless of the size of the bitmap retrieved from the assembly.

  Returns an object based on a bitmap resource that is embedded in an assembly.

  An object based on the retrieved bitmap.

  This method searches for an embedded bitmap resource in the assembly that defines the type specified by the t parameter. For example, if you pass typeof(ControlA) to the t parameter, then this method searches the assembly that defines ControlA. The name of the embedded bitmap resource. Specifies whether this method returns a large image (true)or a small image (false). The small image is 16 by 16, and the large image is 32 x 32. 1.0.5000.0 2.0.0.0